Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.extension
Class AwtToolTipHelper

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--jm.extension.AwtToolTipHelper

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class AwtToolTipHelper
extends java.awt.event.MouseAdapter

Hilfsklasse zur Darstellung von Tooltips auf dem ImageCanvas von ImageJ. Wird von AwtToolTip benoetigt.

See Also:
  `AwtToolTip`, `ExImageCanvas`

Constructor Summary
`AwtToolTipHelper()`

Method Summary
`boolean` | `isMouseOver()` Fragt ab, ob sich der Mauszeiger ueber dem dem ToolTip zugeordnete GUI-Objekt befindes.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Faengt Bewebungen des Mauszeigers ab und stellt fest, ob der Mauszeiger in die Flaeche des dem ToolTip zugeordnete GUI-Objekt eingetreten ist.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Faengt Bewebungen des Mauszeigers ab und stellt fest, ob der Mauszeiger aus der Flaeche des dem ToolTip zugeordnete GUI-Objekt ausgetreten ist.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AwtToolTipHelper

    public AwtToolTipHelper()

Method Detail

### isMouseOver

    public boolean isMouseOver()

  Fragt ab, ob sich der Mauszeiger ueber dem dem ToolTip zugeordnete GUI-Objekt befindes.

  Returns:
    boolean true, wenn der Mauszeiger ueber dem Objekt ist.

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Faengt Bewebungen des Mauszeigers ab und stellt fest, ob der Mauszeiger in die Flaeche des dem ToolTip zugeordnete GUI-Objekt eingetreten ist.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseEntered` in class `java.awt.event.MouseAdapter`
  Parameters:
    `e` - MouseEvent, durch Mausbewegungen erzeugt.

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Faengt Bewebungen des Mauszeigers ab und stellt fest, ob der Mauszeiger aus der Flaeche des dem ToolTip zugeordnete GUI-Objekt ausgetreten ist.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseExited` in class `java.awt.event.MouseAdapter`
  Parameters:
    `e` - MouseEvent, durch Mausbewegungen erzeugt.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD